System.Runtime.Serialization 4.0.0.0

This class defines the properties and methods related to the capability of an to redirect part of its output (a 'fragment') to a different stream than the stream it was created with and to directly insert such a fragment captured by redirection back into the main stream of the same writer at a later point.

Contains properties and methods that when implemented by a , allows processing of XML fragments.

- Property
  4.0.0.0
  System.Boolean To be added.

  Returns true if the writer that implements this interface can generate and accept XML fragments.

  Gets a value that indicates whether this can process XML fragments.

- Method
  4.0.0.0
  System.Void

  Stops redirecting output to the stream supplied by the matching StartFragment call. After this call, the XML writing output goes to the stream originally used by the writer before the StartFragment call.

  Ends the processing of an XML fragment.

- Method
  4.0.0.0
  System.Void `` ``

  Temporarily starts redirecting the writing of the XML output to the supplied stream until EndFragment is called. If generateSelfContainedTextFragment is true, then the redirected XML output is always text XML and is self-contained in terms of its namespace context. StartFragment() calls cannot be nested.

  Starts the processing of an XML fragment.

  The stream to write to. If true, any namespaces declared outside the fragment is declared again if used inside of it; if false the namespaces are not declared again.
- Method
  4.0.0.0
  System.Void `` `` ``

  Writes a fragment captured between StartFragment and EndFragment and calls back into the XmlDictionaryWriter's main stream. The fragment written is bytes starting at the index from the supplied . The behavior is undefined if the supplied fragment was not captured using this writer instance.

  Writes an XML fragment to the underlying stream of the writer.

  The buffer to write to. The starting position from which to write in . The number of bytes to be written to the .